Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.impl
Class ImageXMLDOM

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImage
          org.apache.xmlgraphics.image.loader.impl.ImageXMLDOM

All Implemented Interfaces:
  Image

    public class ImageXMLDOM

extends AbstractImage

This class is an implementation of the Image interface exposing an XML DOM (W3C).

Constructor Summary
`ImageXMLDOM(ImageInfo info, Document doc, String rootNamespace)` Main constructor.
`ImageXMLDOM(ImageInfo info, Document doc, XMLNamespaceEnabledImageFlavor flavor)` Main constructor.

Method Summary
`Document` | `getDocument()` Returns the contained W3C DOM document.
`ImageFlavor` | `getFlavor()` Returns the flavor of the image.
`String` | `getRootNamespace()` Returns the root XML namespace of the XML document.
`boolean` | `isCacheable()` Indicates whether the Image instance is cacheable in memory.

Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImage
`getColorSpace, getICCProfile, getInfo, getSize, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageXMLDOM

    public ImageXMLDOM(ImageInfo info,
                       Document doc,
                       String rootNamespace)

  Main constructor.

  Parameters:
    `info` - the image info object
    `doc` - the W3C DOM document
    `rootNamespace` - the root XML namespace of the XML document in the DOM

### ImageXMLDOM

    public ImageXMLDOM(ImageInfo info,
                       Document doc,
                       XMLNamespaceEnabledImageFlavor flavor)

  Main constructor.

  Parameters:
    `info` - the image info object
    `doc` - the W3C DOM document
    `flavor` - the image flavor

Method Detail

### getFlavor

    public ImageFlavor getFlavor()

  Returns the flavor of the image.

  Returns:
    the image flavor

### isCacheable

    public boolean isCacheable()

  Indicates whether the Image instance is cacheable in memory.

  Returns:
    true if the Image is cacheable

### getDocument

    public Document getDocument()

  Returns the contained W3C DOM document.

  Returns:
    the DOM

### getRootNamespace

    public String getRootNamespace()

  Returns the root XML namespace of the XML document.

  Returns:
    the root namespace

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.